Skip to content
ChartDeck Developer API docs Account Get an API key

GET /v1/news/sources

#GET /v1/news/sourceslistNewsSources

The enabled news sources

Scopenews:read
Lowest tiersandbox
Weight (units)1
SDKPython client.news.sources ยท JavaScript cd.news.sources

Errors

  • 400 invalid_param, invalid_cursor
  • 401 unauthorized: missing, unknown, revoked or expired key
  • 403 insufficient_scope, tier_required
  • 404 not_found, not_available, not_in_sandbox
  • 422 window_too_large
  • 429 rate_limited (per minute) or quota_exhausted (month; X-Quota-* headers, Retry-After = seconds to the next month); see Retry-After
  • 503 api_disabled, overloaded

Example

Shell
curl "https://api.chartdeck.trade/v1/news/sources" \
  -H "Authorization: Bearer $CHARTDECK_API_KEY"
Python
from chartdeck import Client

client = Client()  # reads CHARTDECK_API_KEY
r = client.news.sources()
print(r.data, r.meta["attribution"])
JavaScript
import { ChartDeck } from '@chartdeck/api';

const cd = new ChartDeck();  // reads CHARTDECK_API_KEY
const r = await cd.news.sources();
console.log(r.data, r.meta.attribution);

The Developer API documentation is in English.